Bug 121298 - [em] [panic] Fatal trap 12: page fault while in kernel mode (em0 taskq)
Summary: [em] [panic] Fatal trap 12: page fault while in kernel mode (em0 taskq)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2008-03-02 19:50 UTC by Alexey Sopov
Modified: 2015-06-29 18:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Sopov 2008-03-02 19:50:00 UTC
Machine is a ProLiant DL-385. It acts as a network router. There are a dualport gigabit ethernet em-based controller at PCI-X 133 slot.
Both ports are connected to a ProCurve 3400 switch and each of them holds about 60 VLANS. Machine routes about 200kpps.
Panic happened when I tried to enable polling: ifconfig em0 polling

# cat /var/run/dmesg.boot
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.0-RELEASE #15: Sat Mar  1 21:40:49 MSK 2008
    root@router:/usr/obj/usr/src/sys/proliant-dl385
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: AMD Opteron(tm) Processor 250 (2405.47-MHz K8-class CPU)
  Origin = "AuthenticAMD"  Id = 0x20f51  Stepping = 1
  Features=0x78bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2>
  Features2=0x1<SSE3>
  AMD Features=0xe2500800<SYSCALL,NX,MMX+,FFXSR,LM,3DNow!+,3DNow!>
usable memory = 2138902528 (2039 MB)
avail memory  = 2064269312 (1968 MB)
ACPI APIC Table: <HP     00000083>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
MADT: Forcing active-low polarity and level trigger for SCI
ioapic0 <Version 1.1> irqs 0-23 on motherboard
ioapic1 <Version 1.1> irqs 24-27 on motherboard
ioapic2 <Version 1.1> irqs 28-31 on motherboard
ioapic3 <Version 1.1> irqs 32-35 on motherboard
ioapic4 <Version 1.1> irqs 36-39 on motherboard
kbd1 at kbdmux0
acpi0: <HP A05> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x908-0x90b on acpi0
cpu0: <ACPI CPU> on acpi0
powernow0: <Cool`n'Quiet K8> on cpu0
cpu1: <ACPI CPU> on acpi0
powernow1: <Cool`n'Quiet K8> on cpu1
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci1: <ACPI PCI bus> on pcib1
ohci0: <OHCI (generic) USB controller> mem 0xf7cf0000-0xf7cf0fff irq 19 at device 0.0 on pci1
ohci0: [GIANT-LOCKED]
ohci0: [ITHREAD]
usb0: OHCI version 1.0, legacy support
usb0: SMM does not respond, resetting
usb0: <OHCI (generic) USB controller> on ohci0
usb0: USB revision 1.0
uhub0: <AMD OHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 3 ports with 3 removable, self powered
ohci1: <OHCI (generic) USB controller> mem 0xf7ce0000-0xf7ce0fff irq 19 at device 0.1 on pci1
ohci1: [GIANT-LOCKED]
ohci1: [ITHREAD]
usb1: OHCI version 1.0, legacy support
usb1: SMM does not respond, resetting
usb1: <OHCI (generic) USB controller> on ohci1
usb1: USB revision 1.0
uhub1: <AMD OHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 3 ports with 3 removable, self powered
pci1: <base peripheral> at device 2.0 (no driver attached)
pci1: <base peripheral> at device 2.2 (no driver attached)
vgapci0: <VGA-compatible display> port 0x4400-0x44ff mem 0xf6000000-0xf6ffffff,0xf5ff0000-0xf5ff0fff at device 3.0 on pci1
drm0: <Rage XL> on vgapci0
info: [drm] Initialized mach64 1.0.0 20020904
isab0: <PCI-ISA bridge> at device 4.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <AMD 8111 UDMA133 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x2000-0x200f at device 4.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
amdpm0: <AMD 756/766/768/8111 Power Management Controller> port 0x9e0-0x9ff at device 4.3 on pci0
smbus0: <System Management Bus> on amdpm0
smb0: <SMBus generic I/O> on smbus0
pcib2: <ACPI PCI-PCI bridge> at device 7.0 on pci0
pci2: <ACPI PCI bus> on pcib2
ciss0: <HP Smart Array 6i> port 0x5000-0x50ff mem 0xf7df0000-0xf7df1fff,0xf7d80000-0xf7dbffff irq 24 at device 4.0 on pci2
ciss0: [ITHREAD]
pcib3: <ACPI PCI-PCI bridge> at device 8.0 on pci0
pci3: <ACPI PCI bus> on pcib3
bge0: <HP NC7782 Gigabit Server Adapter, ASIC rev. 0x2100> mem 0xf7ef0000-0xf7efffff irq 28 at device 6.0 on pci3
miibus0: <MII bus> on bge0
brgphy0: <BCM5704 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bge0: Ethernet address: 00:17:a4:10:88:30
bge0: [ITHREAD]
bge1: <HP NC7782 Gigabit Server Adapter, ASIC rev. 0x2100> mem 0xf7ee0000-0xf7eeffff irq 29 at device 6.1 on pci3
miibus1: <MII bus> on bge1
brgphy1: <BCM5704 10/100/1000baseTX PHY> PHY 1 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bge1: Ethernet address: 00:17:a4:10:88:2f
bge1: [ITHREAD]
pcib4: <ACPI Host-PCI bridge> on acpi0
pci4: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> at device 9.0 on pci4
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> at device 10.0 on pci4
pci6: <ACPI PCI bus> on pcib6
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port 0x6000-0x603f mem 0xf7fe0000-0xf7ffffff,0xf7f80000-0xf7fbffff irq 36 at device 9.0 on pci6
em0: Ethernet address: 00:04:23:b3:ab:08
em0: [FILTER]
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port 0x6040-0x607f mem 0xf7f60000-0xf7f7ffff,0xf7f00000-0xf7f3ffff irq 37 at device 9.1 on pci6
em1: Ethernet address: 00:04:23:b3:ab:09
em1: [FILTER]
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> flags 0x1 irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: [ITHREAD]
psm0: model Generic PS/2 mouse, device ID 0
sio0: <Standard PC COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio0: [FILTER]
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xcbfff,0xee000-0xeffff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1 at port 0x2f8-0x2ff irq 3 on isa0
sio1: type 16550A
sio1: [FILTER]
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ugen0: <American Power Conversion Smart-UPS 1500 FW:653.12.I USB FW:4.2, class 0/0, rev 1.10/0.06, addr 2> on uhub0
Timecounters tick every 0.976 msec
ipfw2 initialized, divert enabled, rule-based forwarding enabled, default to accept, logging unlimited
acd0: DVDROM <HL-DT-STDVD-ROM GDR-8084N/3.00> at ata0-master UDMA33
SMP: AP CPU #1 Launched!d
a0 at ciss0 bus 0 target 0 lun 0
da0: <COMPAQ RAID 1  VOLUME OK> Fixed Direct Access SCSI-0 device
da0: 135.168MB/s transfers
da0: 34727MB (71122560 512 byte sectors: 255H 32S/T 8716C)
Trying to mount root from ufs:/dev/da0s1a
WARNING: / was not properly dismounted
WARNING: /tmp was not properly dismounted
/tmp: mount pending error: blocks 28 files 0
WARNING: /usr was not properly dismounted
WARNING: /var was not properly dismounted



# kgdb /usr/obj/usr/src/sys/proliant-dl385/kernel.debug ./vmcore.0
[GDB will not be able to debug user-mode threads: /usr/lib/libthread_db.so: Undefined symbol "ps_pglobal_lookup"]
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd".

Unread portion of the kernel message buffer:


Fatal trap 12: page fault while in kernel mode
cpuid = 1; apic id = 01
fault virtual address   = 0x3c
fault code              = supervisor write data, page not present
instruction pointer     = 0x8:0xffffffff80218159
stack pointer           = 0x10:0xffffffffabe8fb10
frame pointer           = 0x10:0xffffffffabe8fb90
code segment            = base rx0, limit 0xfffff, type 0x1b
                        = DPL 0, pres 1, long 1, def32 0, gran 1
processor eflags        = interrupt enabled, resume, IOPL = 0
current process         = 33 (em0 taskq)
Physical memory: 2039 MB
Dumping 352 MB: 337 321 305 289 273 257 241 225 209 193 177 161 145 129 113 97 81 65 49 33 17 1

#0  doadump () at pcpu.h:194
194     pcpu.h: No such file or directory.
        in pcpu.h
(kgdb) where
#0  doadump () at pcpu.h:194
#1  0xffffffff801b646c in db_fncall (dummy1=Variable "dummy1" is not available.
) at /usr/src/sys/ddb/db_command.c:486
#2  0xffffffff801b6984 in db_command_loop () at /usr/src/sys/ddb/db_command.c:401
#3  0xffffffff801b865f in db_trap (type=Variable "type" is not available.
) at /usr/src/sys/ddb/db_main.c:222
#4  0xffffffff80309b40 in kdb_trap (type=12, code=0, tf=0xffffffffabe8fa60) at /usr/src/sys/kern/subr_kdb.c:502
#5  0xffffffff8047bb91 in trap_fatal (frame=0xffffffffabe8fa60, eva=60) at /usr/src/sys/amd64/amd64/trap.c:719
#6  0xffffffff8047bf64 in trap_pfault (frame=0xffffffffabe8fa60, usermode=0) at /usr/src/sys/amd64/amd64/trap.c:641
#7  0xffffffff8047c8cb in trap (frame=0xffffffffabe8fa60) at /usr/src/sys/amd64/amd64/trap.c:410
#8  0xffffffff8046050e in calltrap () at /usr/src/sys/amd64/amd64/exception.S:169
#9  0xffffffff80218159 in em_rxeof (adapter=0xffffff00012da000, count=21) at /usr/src/sys/dev/em/if_em.c:4629
#10 0xffffffff80218a6f in em_handle_rxtx (context=Variable "context" is not available.
) at /usr/src/sys/dev/em/if_em.c:1561
#11 0xffffffff8031338c in taskqueue_run (queue=0xffffff0001335780) at /usr/src/sys/kern/subr_taskqueue.c:255
#12 0xffffffff80313652 in taskqueue_thread_loop (arg=Variable "arg" is not available.
) at /usr/src/sys/kern/subr_taskqueue.c:374
#13 0xffffffff802c0779 in fork_exit (callout=0xffffffff803135e0 <taskqueue_thread_loop>, arg=0xffffff00012da4d8, frame=0xffffffffabe8fc80)
    at /usr/src/sys/kern/kern_fork.c:781
    at /usr/src/sys/kern/kern_fork.c:781
#14 0xffffffff804608de in fork_trampoline () at /usr/src/sys/amd64/amd64/exception.S:415
#15 0x0000000000000000 in ?? ()
#16 0x0000000000000000 in ?? ()
#17 0x0000000000000001 in ?? ()
#18 0x0000000000000000 in ?? ()
#19 0x0000000000000000 in ?? ()
#20 0x0000000000000000 in ?? ()
#21 0x0000000000000000 in ?? ()
#22 0x0000000000000000 in ?? ()
#23 0x0000000000000000 in ?? ()
#24 0x0000000000000000 in ?? ()
#25 0x0000000000000000 in ?? ()
#26 0x0000000000000000 in ?? ()
#27 0x0000000000000000 in ?? ()
#28 0x0000000000000000 in ?? ()
#29 0x0000000000000000 in ?? ()
#30 0x0000000000000000 in ?? ()
#31 0x0000000000000000 in ?? ()
#32 0x0000000000000000 in ?? ()
#33 0x0000000000000000 in ?? ()
#34 0x0000000000000000 in ?? ()
#35 0x0000000000000000 in ?? ()
#36 0x0000000000000000 in ?? ()
#37 0x0000000000000000 in ?? ()
#38 0x0000000000000000 in ?? ()
#39 0x00000000008ba000 in ?? ()
#40 0xffffff0001230308 in ?? ()
#41 0xffffffff806bb130 in sleepq_chains ()
#42 0xffffff0001230000 in ?? ()
#43 0x0000000000000001 in ?? ()
#44 0xffffffffabe8fb30 in ?? ()
---Type <return> to continue, or q <return> to quit---
#45 0xffffffffabe8fac8 in ?? ()
#46 0xffffff0001230000 in ?? ()
#47 0xffffffff802ff04f in sched_switch (td=0x0, newtd=Variable "newtd" is not available.
) at /usr/src/sys/kern/sched_ule.c:1898
Previous frame inner to this frame (corrupt stack?)
(kgdb)
Comment 1 Volker Werth freebsd_committer 2008-04-08 23:15:44 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net


sounds network related (if_em) 
Over to maintainer(s).
Comment 2 Szymon Roczniak 2008-04-09 17:49:00 UTC
A similar problem here (well, at least two out of three kernel dumps look a
bit similar). The hardware is a dell PE2850, running GENERIC (only file name
is different) FreeBSD 7-STABLE as of yesterday (8.04.2008).  It's a web/mail
server and it's not under heavy load.

server#	dmesg=0D
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.0-STABLE #2: Tue Apr  8 12:04:29 BST 2008
    szymon@server:/usr/obj/usr/src/sys/VALIUM
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(TM) CPU 2.80GHz (2793.01-MHz 686-class CPU)
  Origin =3D "GenuineIntel"  Id =3D 0xf41  Stepping =3D 1
  Features=3D0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PG=
E,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=3D0x641d<SSE3,RSVD2,MON,DS_CPL,CNXT-ID,CX16,xTPR>
  AMD Features=3D0x20000000<LM>
real memory  =3D 2147221504 (2047 MB)
avail memory =3D 2091679744 (1994 MB)
ACPI APIC Table: <DELL   PE BKC  >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  6
ioapic0: Changing APIC ID to 7
ioapic1: Changing APIC ID to 8
ioapic2: Changing APIC ID to 9
ioapic3: Changing APIC ID to 10
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 32-55 on motherboard
ioapic2 <Version 2.0> irqs 64-87 on motherboard
ioapic3 <Version 2.0> irqs 96-119 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <DELL PE BKC> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
acpi_hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acp=
i0
Timecounter "HPET" frequency 14318180 Hz quality 900
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
p4tcc1: <CPU Frequency Thermal Control> on cpu1
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 2.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 0.0 on pci1
pci2: <ACPI PCI bus> on pcib2
amr0: <LSILogic MegaRAID 1.53> mem 0xd80f0000-0xd80fffff,0xdfdc0000-0xdfdff=
fff irq 46 at device 14.0 on pci2
amr0: [ITHREAD]
amr0: delete logical drives supported by controller
amr0: <LSILogic PERC 4e/Di> Firmware 513O, BIOS H418, 256MB RAM
pcib3: <ACPI PCI-PCI bridge> at device 0.2 on pci1
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 4.0 on pci0
pci4: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> at device 5.0 on pci0
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> at device 0.0 on pci5
pci6: <ACPI PCI bus> on pcib6
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port 0xecc0-0xe=
cff mem 0xdfae0000-0xdfafffff irq 64 at device 7.0 on pci6
em0: Ethernet address: 00:11:43:36:f3:3c
em0: [FILTER]
pcib7: <ACPI PCI-PCI bridge> at device 0.2 on pci5
pci7: <ACPI PCI bus> on pcib7
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port 0xdcc0-0xd=
cff mem 0xdf8e0000-0xdf8fffff irq 65 at device 8.0 on pci7
em1: Ethernet address: 00:11:43:36:f3:3d
em1: [FILTER]
pcib8: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci8: <ACPI PCI bus> on pcib8
pcib9: <ACPI PCI-PCI bridge> at device 0.0 on pci8
pci9: <ACPI PCI bus> on pcib9
pcib10: <ACPI PCI-PCI bridge> at device 0.2 on pci8
pci10: <ACPI PCI bus> on pcib10
uhci0: <Intel 82801EB (ICH5) USB controller USB-A> port 0xbce0-0xbcff irq 1=
6 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 82801EB (ICH5) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801EB (ICH5) USB controller USB-B> port 0xbcc0-0xbcdf irq 1=
9 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <Intel 82801EB (ICH5) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 82801EB (ICH5) USB controller USB-C> port 0xbca0-0xbcbf irq 1=
8 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <Intel 82801EB (ICH5) USB controller USB-C> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
ehci0: <Intel 82801EB/R (ICH5) USB 2.0 controller> mem 0xdff00000-0xdff003f=
f irq 23 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb3: EHCI version 1.0
usb3: companion controllers, 2 ports each: usb0 usb1 usb2
usb3: <Intel 82801EB/R (ICH5) USB 2.0 controller> on ehci0
usb3: USB revision 2.0
uhub3: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb3
uhub3: 6 ports with 6 removable, self powered
uhub4: <vendor 0x413c product 0xa001, class 9/0, rev 2.00/0.00, addr 2> on =
uhub3
uhub4: multiple transaction translators
uhub4: 2 ports with 2 removable, self powered
pcib11: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci11: <ACPI PCI bus> on pcib11
vgapci0: <VGA-compatible display> port 0xcc00-0xccff mem 0xd0000000-0xd7fff=
fff,0xdf4f0000-0xdf4fffff irq 18 at device 13.0 on pci11
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH5 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177=
,0x376,0xfc00-0xfc0f at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FILTER]
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acp=
i0
sio0: type 16550A
sio0: [FILTER]
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcafff,0xcb000-0xcbfff,0xce800-0x=
cf7ff,0xec000-0xeffff pnpid ORM0000 on isa0
ppc0: parallel port not found.
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=3D0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
acd0: CDROM <TEAC CD-ROM CD-224E/K.9A> at ata0-master UDMA33
amr0: delete logical drives supported by controller
amrd0: <LSILogic MegaRAID logical drive> on amr0
amrd0: 34680MB (71024640 sectors) RAID 1 (optimal)
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/amrd0s1a
WARNING: / was not properly dismounted
/: mount pending error: blocks 204 files 14
pid 3380 (httpd), uid 65534: exited on signal 11
server#	kgdb /boot/kernel/kernel vm=07=0D
vmcore.0  vmcore.1  vmcore.2  =0D
server# kgdb /boot/kernel/kernel vmcore.0=0D
[GDB will not be able to debug user-mode threads: /usr/lib/libthread_db.so:=
 Undefined symbol "ps_pglobal_lookup"]
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain condition=
s.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd".
There is no member named pathname.
Reading symbols from /boot/kernel/acpi.ko...Reading symbols from /boot/kern=
el/acpi.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/acpi.ko
Reading symbols from /boot/kernel/fdescfs.ko...Reading symbols from /boot/k=
ernel/fdescfs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/fdescfs.ko
Reading symbols from /boot/kernel/pflog.ko...Reading symbols from /boot/ker=
nel/pflog.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pflog.ko
Reading symbols from /boot/kernel/pf.ko...Reading symbols from /boot/kernel=
/pf.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pf.ko

Unread portion of the kernel message buffer:
<6>pid 49337 (megarc), uid 0: exited on signal 11
TPTE at 0xbfc20120  IS ZERO @ VA 08048000
panic: bad pte
cpuid =3D 1
Uptime: 7h21m35s
Physical memory: 2035 MB
Dumping 275 MB: 260 244 228 212 196 180 164 148 132 116 100 84 68 52 36 20 4

#0  doadump () at pcpu.h:195
195	pcpu.h: No such file or directory.
	in pcpu.h
(kgdb) bt
#0  doadump () at pcpu.h:195
#1  0xc075b1a7 in boot (howto=3D260) at /usr/src/sys/kern/kern_shutdown.c:4=
18
#2  0xc075b469 in panic (fmt=3DVariable "fmt" is not available.
) at /usr/src/sys/kern/kern_shutdown.c:572
#3  0xc0a509e6 in pmap_remove_pages (pmap=3D0xc6579a84) at /usr/src/sys/i38=
6/i386/pmap.c:3093
#4  0xc097e07c in vmspace_exit (td=3D0xc63dc000) at /usr/src/sys/vm/vm_map.=
c:404
#5  0xc0739c3a in exit1 (td=3D0xc63dc000, rv=3D11) at /usr/src/sys/kern/ker=
n_exit.c:294
#6  0xc075d633 in sigexit (td=3DVariable "td" is not available.
) at /usr/src/sys/kern/kern_sig.c:2877
#7  0xc075e8be in postsig (sig=3D11) at /usr/src/sys/kern/kern_sig.c:2749
#8  0xc078cd28 in ast (framep=3D0xe7d82d38) at /usr/src/sys/kern/subr_trap.=
c:250
#9  0xc0a3c3fd in doreti_ast () at /usr/src/sys/i386/i386/exception.s:290
#10 0xe7d82d38 in ?? ()
#11 0x0000003b in ?? ()
#12 0x0000003b in ?? ()
#13 0x0000003b in ?? ()
#14 0xbfbfe834 in ?? ()
#15 0xbfbfe850 in ?? ()
#16 0xbfbfe2e8 in ?? ()
#17 0xe7d82d64 in ?? ()
#18 0x00000006 in ?? ()
#19 0x00000006 in ?? ()
#20 0x00000000 in ?? ()
#21 0x00000000 in ?? ()
#22 0x0000000c in ?? ()
#23 0x00000004 in ?? ()
#24 0x00000000 in ?? ()
#25 0x00000033 in ?? ()
#26 0x00010292 in ?? ()
#27 0xbfbfe280 in ?? ()
#28 0x0000003b in ?? ()
#29 0x00000000 in ?? ()
#30 0x00000004 in ?? ()
#31 0xbfbfedc8 in ?? ()
#32 0x282d6618 in ?? ()
#33 0x49700000 in ?? ()
#34 0xc0bf09c0 in tdq_cpu ()
#35 0xc63dc1e4 in ?? ()
#36 0xe7d8273c in ?? ()
#37 0xe7d82700 in ?? ()
#38 0x01944ce9 in ?? ()
#39 0xc07786bb in sched_switch (td=3DCannot access memory at address 0xbfbf=
e2f0
) at /usr/src/sys/kern/sched_ule.c:1898
Previous frame inner to this frame (corrupt stack?)
(kgdb) server#	kgdb /boot/kernel/kernel vmcore.0=08=1B[K1=0D
[GDB will not be able to debug user-mode threads: /usr/lib/libthread_db.so:=
 Undefined symbol "ps_pglobal_lookup"]
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain condition=
s.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd".
There is no member named pathname.
Reading symbols from /boot/kernel/acpi.ko...Reading symbols from /boot/kern=
el/acpi.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/acpi.ko
Reading symbols from /boot/kernel/fdescfs.ko...Reading symbols from /boot/k=
ernel/fdescfs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/fdescfs.ko
Reading symbols from /boot/kernel/pflog.ko...Reading symbols from /boot/ker=
nel/pflog.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pflog.ko
Reading symbols from /boot/kernel/pf.ko...Reading symbols from /boot/kernel=
/pf.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pf.ko

Unread portion of the kernel message buffer:
<6>pid 8628 (megarc), uid 0: exited on signal 11


Fatal trap 12: page fault while in kernel mode
cpuid =3D 1; apic id =3D 06
fault virtual address	=3D 0xbfc00000
fault code		=3D supervisor read, page not present
instruction pointer	=3D 0x20:0xc0a5096f
stack pointer	        =3D 0x28:0xe7c74a74
frame pointer	        =3D 0x28:0xe7c74ab4
code segment		=3D base rx0, limit 0xfffff, type 0x1b
			=3D DPL 0, pres 1, def32 1, gran 1
processor eflags	=3D interrupt enabled, resume, IOPL =3D 0
current process		=3D 8628 (megarc)
trap number		=3D 12
panic: page fault
cpuid =3D 1
Uptime: 2h14m34s
Physical memory: 2035 MB
Dumping 253 MB: 238 222 206 190 174 158 142 126 110 94 78 62 46 30 14

#0  doadump () at pcpu.h:195
195	pcpu.h: No such file or directory.
	in pcpu.h
(kgdb) bt
#0  doadump () at pcpu.h:195
#1  0xc075b1a7 in boot (howto=3D260) at /usr/src/sys/kern/kern_shutdown.c:4=
18
#2  0xc075b469 in panic (fmt=3DVariable "fmt" is not available.
) at /usr/src/sys/kern/kern_shutdown.c:572
#3  0xc0a54cdc in trap_fatal (frame=3D0xe7c74a34, eva=3D3217031168) at /usr=
/src/sys/i386/i386/trap.c:899
#4  0xc0a54f60 in trap_pfault (frame=3D0xe7c74a34, usermode=3D0, eva=3D3217=
031168) at /usr/src/sys/i386/i386/trap.c:812
#5  0xc0a5590c in trap (frame=3D0xe7c74a34) at /usr/src/sys/i386/i386/trap.=
c:490
#6  0xc0a3badb in calltrap () at /usr/src/sys/i386/i386/exception.s:139
#7  0xc0a5096f in pmap_remove_pages (pmap=3D0xc569db6c) at /usr/src/sys/i38=
6/i386/pmap.c:3086
#8  0xc097e07c in vmspace_exit (td=3D0xc62b6660) at /usr/src/sys/vm/vm_map.=
c:404
#9  0xc0739c3a in exit1 (td=3D0xc62b6660, rv=3D11) at /usr/src/sys/kern/ker=
n_exit.c:294
#10 0xc075d633 in sigexit (td=3DVariable "td" is not available.
) at /usr/src/sys/kern/kern_sig.c:2877
#11 0xc075e8be in postsig (sig=3D11) at /usr/src/sys/kern/kern_sig.c:2749
#12 0xc078cd28 in ast (framep=3D0xe7c74d38) at /usr/src/sys/kern/subr_trap.=
c:250
#13 0xc0a3c3fd in doreti_ast () at /usr/src/sys/i386/i386/exception.s:290
#14 0xe7c74d38 in ?? ()
#15 0x0000003b in ?? ()
#16 0x0000003b in ?? ()
#17 0x0000003b in ?? ()
#18 0xbfbfee90 in ?? ()
#19 0x00000000 in ?? ()
#20 0xbfbfed58 in ?? ()
#21 0xe7c74d64 in ?? ()
#22 0x00000006 in ?? ()
#23 0x00000000 in ?? ()
#24 0x00000000 in ?? ()
#25 0x0809d094 in ?? ()
#26 0x0000000c in ?? ()
#27 0x00000004 in ?? ()
#28 0x0807b261 in ?? ()
#29 0x00000033 in ?? ()
#30 0x00010246 in ?? ()
#31 0xbfbfeb40 in ?? ()
#32 0x0000003b in ?? ()
#33 0x78617270 in ?? ()
#34 0x24007369 in ?? ()
#35 0x78502431 in ?? ()
#36 0x706d4959 in ?? ()
#37 0x17ed4000 in ?? ()
#38 0xc0bf09c0 in tdq_cpu ()
#39 0xc62b6844 in ?? ()
#40 0xe7c746a8 in ?? ()
#41 0xe7c7466c in ?? ()
#42 0x007b355a in ?? ()
#43 0xc07786bb in sched_switch (td=3DCannot access memory at address 0xbfbf=
ed60
) at /usr/src/sys/kern/sched_ule.c:1898
Previous frame inner to this frame (corrupt stack?)
(kgdb) server#	kgdb /boot/kernel/kernel vmcore.1=08=1B[K2=0D
[GDB will not be able to debug user-mode threads: /usr/lib/libthread_db.so:=
 Undefined symbol "ps_pglobal_lookup"]
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain condition=
s.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd".
There is no member named pathname.
Reading symbols from /boot/kernel/acpi.ko...Reading symbols from /boot/kern=
el/acpi.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/acpi.ko
Reading symbols from /boot/kernel/fdescfs.ko...Reading symbols from /boot/k=
ernel/fdescfs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/fdescfs.ko
Reading symbols from /boot/kernel/pflog.ko...Reading symbols from /boot/ker=
nel/pflog.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pflog.ko
Reading symbols from /boot/kernel/pf.ko...Reading symbols from /boot/kernel=
/pf.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/pf.ko

Unread portion of the kernel message buffer:
TPTE at 0xbfefeffc  IS ZERO @ VA bfbff000
panic: bad pte
cpuid =3D 1
Uptime: 7h43m42s
Physical memory: 2035 MB
Dumping 270 MB: 255 239 223 207 191 175 159 143 127 111 95 79 63 47 31 15

#0  doadump () at pcpu.h:195
195	pcpu.h: No such file or directory.
	in pcpu.h
(kgdb) bt
#0  doadump () at pcpu.h:195
#1  0xc075b1a7 in boot (howto=3D260) at /usr/src/sys/kern/kern_shutdown.c:4=
18
#2  0xc075b469 in panic (fmt=3DVariable "fmt" is not available.
) at /usr/src/sys/kern/kern_shutdown.c:572
#3  0xc0a509e6 in pmap_remove_pages (pmap=3D0xc62c3d3c) at /usr/src/sys/i38=
6/i386/pmap.c:3093
#4  0xc097e07c in vmspace_exit (td=3D0xc608e660) at /usr/src/sys/vm/vm_map.=
c:404
#5  0xc0739c3a in exit1 (td=3D0xc608e660, rv=3D0) at /usr/src/sys/kern/kern=
_exit.c:294
#6  0xc073af8d in sys_exit (td=3DCould not find the frame base for "sys_exi=
t".
) at /usr/src/sys/kern/kern_exit.c:98
#7  0xc0a552b5 in syscall (frame=3D0xe7c65d38) at /usr/src/sys/i386/i386/tr=
ap.c:1035
#8  0xc0a3bb40 in Xint0x80_syscall () at /usr/src/sys/i386/i386/exception.s=
:196
#9  0x00000033 in ?? ()
Previous frame inner to this frame (corrupt stack?)

--=20
szymon roczniak=20
simon(a)dischaos.com=20
Comment 3 lev 2008-05-23 18:47:41 UTC
Hello, bug-followup.

I've got very similar panic.
`csup' from local (located in same segment) cvsup server via gigabit
link and RAID5 (geom_raid5) synchronize newely-created array with 4
disks. csup writes on OTHER disk, not included in array.

No crashdump, because core was not saved: machine hangs up right after
panic message, without attempts to save dump or reboot. Crash dumps are
enabled and I got previous one (other bug), but in this case no dumps,
no reaction on keyboards, etc. Need to reboot with pwoer switch :(

==================== panic message, typed by hands
em0: watchdog timeout -- resetting
kernel trap 12 with interrupts disabled

Fatal trap 12: page fault in kernnel mode
cpuid = 1; apic id = 01
fault virtual addewaa   = 0x28
fault code              = supervisor read data, page not present
instruction pointer     = 0x8:0xffffffff80282c2f
stack pointer           = 0x10:0xffffffffabed4b20
frame pointer           = 0x10:0xffffff00010c9000
code segment            = base rx0, limit 0xfffff, type 0x1b
                        = DPL 0, pres 1, long 1, def32 0, gran 1
processor efalgs        = resume, IOPL = 1
current process         = 23 (em0 taskq)
trap number             = 12
panic: page fault
cpuid = 1
==================== panic message, typed by hands

========================================= uname -a
FreeBSD blob.home.serebryakov.spb.ru 7.0-STABLE FreeBSD 7.0-STABLE #0: Mon May 19 21:26:08 MSD 2008     lev@blob.home.serebryakov.spb.ru:/usr/obj/usr/src/sys/BLOB  amd64
========================================= uname -a

============================================ dmesg
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.0-STABLE #0: Mon May 19 21:26:08 MSD 2008
    lev@blob.home.serebryakov.spb.ru:/usr/obj/usr/src/sys/BLOB
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Core(TM)2 Duo CPU     E4500  @ 2.20GHz (2200.09-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x6fd  Stepping = 13
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xe39d<SSE3,RSVD2,MON,DS_CPL,EST,TM2,SSSE3,CX16,xTPR,PDCM>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 2
usable memory = 6364114944 (6069 MB)
avail memory  = 6141857792 (5857 MB)
ACPI APIC Table: <A_M_I_ OEMAPIC >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <A_M_I_ OEMXSDT> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, cfd00000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
acpi_hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 900
cpu0: <ACPI CPU> on acpi0
ACPI Warning (tbutils-0243): Incorrect checksum in table [OEMB] -  51, should be 4C [20070320]
coretemp0: <CPU On-Die Thermal Sensors> on cpu0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
est0: Setting 2200 MHz
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
coretemp1: <CPU On-Die Thermal Sensors> on cpu1
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est1: Setting 2200 MHz
p4tcc1: <CPU Frequency Thermal Control> on cpu1
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
vgapci0: <VGA-compatible display> port 0xec00-0xec07 mem 0xfea80000-0xfeafffff,0xd0000000-0xdfffffff,0xfe900000-0xfe9fffff irq 16 at device 2.0 on pci0
pci0: <simple comms> at device 3.0 (no driver attached)
em0: <Intel(R) PRO/1000 Network Connection 6.9.0> port 0xe880-0xe89f mem 0xfea40000-0xfea5ffff,0xfea7a000-0xfea7afff irq 20 at device 25.0 on pci0
em0: [FILTER]
em0: Ethernet address: 00:1e:8c:75:03:0d
uhci0: <UHCI (generic) USB controller> port 0xe400-0xe41f irq 16 at device 26.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0xe480-0xe49f irq 21 at device 26.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0xe800-0xe81f irq 18 at device 26.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
ehci0: <EHCI (generic) USB 2.0 controller> mem 0xfea7b800-0xfea7bbff irq 18 at device 26.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb3: EHCI version 1.0
usb3: companion controllers, 2 ports each: usb0 usb1 usb2
usb3: <EHCI (generic) USB 2.0 controller> on ehci0
usb3: USB revision 2.0
uhub3: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb3
uhub3: 6 ports with 6 removable, self powered
uhci3: <UHCI (generic) USB controller> port 0xdc00-0xdc1f irq 23 at device 29.0 on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb4: <UHCI (generic) USB controller> on uhci3
usb4: USB revision 1.0
uhub4: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb4
uhub4: 2 ports with 2 removable, self powered
uhci4: <UHCI (generic) USB controller> port 0xe000-0xe01f irq 19 at device 29.1 on pci0
uhci4: [GIANT-LOCKED]
uhci4: [ITHREAD]
usb5: <UHCI (generic) USB controller> on uhci4
usb5: USB revision 1.0
uhub5: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb5
uhub5: 2 ports with 2 removable, self powered
uhci5: <UHCI (generic) USB controller> port 0xe080-0xe09f irq 18 at device 29.2 on pci0
uhci5: [GIANT-LOCKED]
uhci5: [ITHREAD]
usb6: <UHCI (generic) USB controller> on uhci5
usb6: USB revision 1.0
uhub6: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb6
uhub6: 2 ports with 2 removable, self powered
ehci1: <EHCI (generic) USB 2.0 controller> mem 0xfea7b400-0xfea7b7ff irq 23 at device 29.7 on pci0
ehci1: [GIANT-LOCKED]
ehci1: [ITHREAD]
usb7: EHCI version 1.0
usb7: companion controllers, 2 ports each: usb4 usb5 usb6
usb7: <EHCI (generic) USB 2.0 controller> on ehci1
usb7: USB revision 2.0
uhub7: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb7
uhub7: 6 ports with 6 removable, self powered
pcib1: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci1: <ACPI PCI bus> on pcib1
fwohci0: <Lucent FW322/323> mem 0xfebff000-0xfebfffff irq 20 at device 2.0 on pci1
fwohci0: [FILTER]
fwohci0: OHCI version 1.0 (ROM=1)
fwohci0: No. of Isochronous channels is 8.
fwohci0: EUI64 00:1e:8c:00:00:1a:5f:da
fwohci0: Phy 1394a available S400, 2 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
fwohci0: Initiate bus reset
fwohci0: BUS reset
fwohci0: node_id=0xc800ffc0, gen=1, CYCLEMASTER mode
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel AHCI controller> port 0xd800-0xd807,0xd480-0xd483,0xd400-0xd407,0xd080-0xd083,0xd000-0xd01f mem 0xfea79800-0xfea79fff irq 22 at device 31.2 on pci0
atapci0: [ITHREAD]
atapci0: AHCI Version 01.20 controller with 6 ports detected
ata2: <ATA channel 0> on atapci0
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
ata3: [ITHREAD]
ata4: <ATA channel 2> on atapci0
ata4: [ITHREAD]
ata5: <ATA channel 3> on atapci0
ata5: [ITHREAD]
ata6: <ATA channel 4> on atapci0
ata6: [ITHREAD]
ata7: <ATA channel 5> on atapci0
ata7: [ITHREAD]
ichsmb0: <SMBus controller> port 0x400-0x41f mem 0xfea7b000-0xfea7b0ff irq 18 at device 31.3 on pci0
ichsmb0: [GIANT-LOCKED]
ichsmb0: [ITHREAD]
smbus0: <System Management Bus> on ichsmb0
smb0: <SMBus generic I/O> on smbus0
pci0: <dasp> at device 31.6 (no driver attached)
acpi_button0: <Power Button> on acpi0
ppc0: <Parallel port> port 0x378-0x37f,0x778-0x77f irq 7 drq 3 on acpi0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/9 bytes threshold
ppbus0: <Parallel port bus> on ppc0
ppbus0: [ITHREAD]
ppc0: [GIANT-LOCKED]
ppc0: [ITHREAD]
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio0: [FILTER]
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
orm0: <ISA Option ROM> at iomem 0xcb800-0xcc7ff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
WARNING: ZFS is considered to be an experimental feature in FreeBSD.
Timecounters tick every 1.000 msec
firewire0: 1 nodes, maxhop <= 0, cable IRM = 0 (me)
firewire0: bus manager 0 (me)
ZFS filesystem version 6
ZFS storage pool version 6
ad4: 305245MB <SAMSUNG HD321KJ CP100-10> at ata2-master SATA300
ad6: 476940MB <WDC WD5000AAKS-00YGA0 12.01C02> at ata3-master SATA300
ad10: 476940MB <WDC WD5000AAKS-00YGA0 12.01C02> at ata5-master SATA300
ad12: 476940MB <WDC WD5000AAKS-00YGA0 12.01C02> at ata6-master SATA300
ad14: 476940MB <WDC WD5000AAKS-00YGA0 12.01C02> at ata7-master SATA300
SMP: AP CPU #1 Launched!
GEOM_RAID5: storage: device created (stripesize=131072).
GEOM_RAID5: storage: ad6(0): newest disk data (CALM): 0.
GEOM_RAID5: storage: ad6(0): disk attached.
GEOM_RAID5: storage: ad10(1): newest disk data (CALM): 1.
GEOM_RAID5: storage: ad10(1): disk attached.
GEOM_RAID5: storage: ad12(2): newest disk data (CALM): 2.
GEOM_RAID5: storage: ad12(2): disk attached.
GEOM_RAID5: storage: ad14(3): newest disk data (CALM): 3.
GEOM_RAID5: storage: ad14(3): disk attached.
GEOM_RAID5: storage: activated (need about 76MiB kmem (max)).
Trying to mount root from ufs:/dev/ad4s1a
WARNING: / was not properly dismounted
WARNING: /tmp was not properly dismounted
WARNING: /usr was not properly dismounted
WARNING: /var was not properly dismounted
/var: mount pending error: blocks 4 files 1
============================================ dmesg

==================================== kernel config
cpu             HAMMER
ident           BLOB

makeoptions     DEBUG=-g                # Build kernel with gdb(1) debug symbols

options         SCHED_ULE               # ULE scheduler
options         PREEMPTION              # Enable kernel thread preemption
options         INET                    # InterNETworking
options         FFS                     # Berkeley Fast Filesystem
options         SOFTUPDATES             # Enable FFS soft updates support
options         UFS_ACL                 # Support for access control lists
options         UFS_DIRHASH             # Improve performance on big directories
options         MD_ROOT                 # MD is a potential root device
options         NFSCLIENT               # Network Filesystem Client
options         NFSSERVER               # Network Filesystem Server
options         NFSLOCKD                # Network Lock Manager
options         PROCFS                  # Process filesystem (requires PSEUDOFS)
options         PSEUDOFS                # Pseudo-filesystem framework
options         GEOM_LABEL              # Provides labelization
options         COMPAT_43TTY            # BSD 4.3 TTY compat [KEEP THIS!]
options         COMPAT_IA32             # Compatible with i386 binaries
options         COMPAT_FREEBSD4         # Compatible with FreeBSD4
options         COMPAT_FREEBSD5         # Compatible with FreeBSD5
options         COMPAT_FREEBSD6         # Compatible with FreeBSD6
options         SCSI_DELAY=5000         # Delay (in ms) before probing SCSI
options         KTRACE                  # ktrace(1) support
options         STACK                   # stack(9) support
options         SYSVSHM                 # SYSV-style shared memory
options         SYSVMSG                 # SYSV-style message queues
options         SYSVSEM                 # SYSV-style semaphores
options         _KPOSIX_PRIORITY_SCHEDULING # POSIX P1003_1B real-time extensions
options         KBD_INSTALL_CDEV        # install a CDEV entry in /dev
options         ADAPTIVE_GIANT          # Giant mutex is adaptive.
options         STOP_NMI                # Stop CPUS using NMI instead of IPI
options         AUDIT                   # Security event auditing

# Make an SMP-capable kernel by default
options         SMP                     # Symmetric MultiProcessor Kernel

# CPU frequency control
device          cpufreq
device          coretemp

device          smb
device          smbus
device          ichsmb

device          iicbus
device          iicsmb
device          iic

# Bus support.
device          acpi
device          pci

# ATA and ATAPI devices
device          ata
device          atadisk         # ATA disk drives
options         ATA_STATIC_ID   # Static device numbering

# atkbdc0 controls both the keyboard and the PS/2 mouse
device          atkbdc          # AT keyboard controller
device          atkbd           # AT keyboard
device          psm             # PS/2 mouse
device          kbdmux          # keyboard multiplexer
device          vga             # VGA video card driver

# syscons is the default console driver, resembling an SCO console
device          sc

# Serial (COM) ports
device          sio             # 8250, 16[45]50 based serial ports
device          uart            # Generic UART driver

# Parallel port
device          ppc
device          ppbus           # Parallel port bus (required)

device          em              # Intel PRO/1000 adapter Gigabit Ethernet Card

# Pseudo devices.
device          loop            # Network loopback
device          random          # Entropy device
device          ether           # Ethernet support
device          tun             # Packet tunnel.
device          pty             # Pseudo-ttys (telnet etc)
device          md              # Memory "disks"
device          firmware        # firmware assist module

# The `bpf' device enables the Berkeley Packet Filter.
# Be aware of the administrative consequences of enabling this!
# Note that 'bpf' is required for DHCP.
device          bpf             # Berkeley packet filter

# USB support
device          uhci            # UHCI PCI->USB interface
device          ehci            # EHCI PCI->USB interface (USB 2.0)
device          usb             # USB Bus (required)

# FireWire support
device          firewire        # FireWire bus code
==================================== kernel config

-- 
// Black Lion AKA Lev Serebryakov <lev@FreeBSD.org>
Comment 4 Pekka Savola 2008-09-01 06:14:42 UTC
FYI,

I got hit by this (at least it seems identical) as well pretty soon 
after I enabled SMP on this box.  With UP kernel, I have not seen such 
core dumps.  This is 7.1-PRERELEASE (Cvsup of RELENG_7 as of Aug 31 
2008).  Polling is not compiled in the kernel.

The device has:
         options=9b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM>

It's either of these (actually I'm not sure which one. probably the 
former):

02:0c.1 Ethernet controller: Intel Corporation 82546EB Gigabit 
Ethernet Controller (Copper) (rev 01)
         Subsystem: Intel Corporation PRO/1000 MT Dual Port Server Adapter
         Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 28
         Memory at dfdc0000 (64-bit, non-prefetchable)
         I/O ports at ec80
         Capabilities: [dc] Power Management version 2
         Capabilities: [e4] PCI-X non-bridge device
         Capabilities: [f0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-

06:07.0 Ethernet controller: Intel Corporation 82541GI Gigabit 
Ethernet Controller (rev 05)
         Subsystem: Dell Unknown device 016d
         Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 48
         Memory at dfae0000 (32-bit, non-prefetchable)
         I/O ports at dcc0
         Capabilities: [dc] Power Management version 2
         Capabilities: [e4] PCI-X non-bridge device

==============

Unread portion of the kernel message buffer:
<110>ipfw: 20 Deny TCP [2001:0:d5c7:a2ca:2cfe:116b:2b6a:554d]:55056 [2001:0:4137:9e50:2894:3b42:b7b4:d119]:44889 in via stf0
TPTE at 0xbfca027c  IS ZERO @ VA 2809f000
pakernel trap 12 with interrupts disabled


Fatal trap 12: page fault while in kernel mode
cpuid = 0; apic id = 00
fault virtual address   = 0x14
fault code              = supervisor read, page not present
instruction pointer     = 0x20:0xc05c17de
stack pointer           = 0x28:0xe53cea08
frame pointer           = 0x28:0xe53cea28
code segment            = base rx0, limit 0xfffff, type 0x1b
                         = DPL 0, pres 1, def32 1, gran 1
processor eflags        = resume, IOPL = 0
current process         = 21 (em2 taskq)
trap number             = 12
panic: page fault
cpuid = 0
Uptime: 3h59m45s
Physical memory: 2039 MB
Dumping 174 MB: 159 143 127 111 95 79 63 47 31 15

#0  doadump () at pcpu.h:196
196             __asm __volatile("movl %%fs:0,%0" : "=r" (td));
(kgdb) bt
#0  doadump () at pcpu.h:196
#1  0xc058cc57 in boot (howto=260) at /usr/src/sys/kern/kern_shutdown.c:418
#2  0xc058cf19 in panic (fmt=Variable "fmt" is not available.
) at /usr/src/sys/kern/kern_shutdown.c:572
#3  0xc073b9bc in trap_fatal (frame=0xe53ce9c8, eva=20) at /usr/src/sys/i386/i386/trap.c:939
#4  0xc073c30f in trap (frame=0xe53ce9c8) at /usr/src/sys/i386/i386/trap.c:320
#5  0xc072204b in calltrap () at /usr/src/sys/i386/i386/exception.s:159
#6  0xc05c17de in propagate_priority (td=0xc555fd20) at /usr/src/sys/kern/subr_turnstile.c:272
#7  0xc05c2618 in turnstile_wait (ts=0xc4d0e5a0, owner=0xc555fd20, queue=Variable "queue" is not available.
) at /usr/src/sys/kern/subr_turnstile.c:739
#8  0xc057fe1e in _mtx_lock_sleep (m=0xc080c7bc, tid=3302831200, opts=0, file=0x0, line=0)
     at /usr/src/sys/kern/kern_mutex.c:420
#9  0xc0738002 in pmap_enter (pmap=0xc081ade0, va=3369541632, m=0xc1a11728, prot=7 '\a', wired=1)
     at /usr/src/sys/i386/i386/pmap.c:2345
#10 0xc06db888 in kmem_malloc (map=0xc107108c, size=4096, flags=257) at /usr/src/sys/vm/vm_kern.c:416
#11 0xc06d1ba7 in page_alloc (zone=0xc10601e0, bytes=4096, pflag=0xe53ceb5f "\002", wait=257)
     at /usr/src/sys/vm/uma_core.c:959
#12 0xc06d0e5c in slab_zalloc (zone=0xc10601e0, wait=257) at /usr/src/sys/vm/uma_core.c:822
#13 0xc06d1344 in uma_zone_slab (zone=0xc10601e0, flags=1) at /usr/src/sys/vm/uma_core.c:2014
#14 0xc06d440a in uma_zalloc_arg (zone=0xc10601e0, udata=0xe53cec04, flags=1) at /usr/src/sys/vm/uma_core.c:2115
#15 0xc049781c in em_get_buf (adapter=0xc4dac000, i=122) at mbuf.h:469
#16 0xc049abf9 in em_rxeof (adapter=0xc4dac000, count=99) at /usr/src/sys/dev/e1000/if_em.c:4420
#17 0xc049b717 in em_handle_rxtx (context=0xc4dac000, pending=1) at /usr/src/sys/dev/e1000/if_em.c:1676
#18 0xc05c0185 in taskqueue_run (queue=0xc4dc2a80) at /usr/src/sys/kern/subr_taskqueue.c:282
#19 0xc05c038b in taskqueue_thread_loop (arg=0xc4dac370) at /usr/src/sys/kern/subr_taskqueue.c:401
#20 0xc0569ab9 in fork_exit (callout=0xc05c02d0 <taskqueue_thread_loop>, arg=0xc4dac370, frame=0xe53ced38)
     at /usr/src/sys/kern/kern_fork.c:804
#21 0xc07220c0 in fork_trampoline () at /usr/src/sys/i386/i386/exception.s:264

(kgdb) up 17
#17 0xc049b717 in em_handle_rxtx (context=0xc4dac000, pending=1) at /usr/src/sys/dev/e1000/if_em.c:1676
1676                    if (em_rxeof(adapter, adapter->rx_process_limit) != 0)

(kgdb) up 16
#16 0xc049abf9 in em_rxeof (adapter=0xc4dac000, count=99) at /usr/src/sys/dev/e1000/if_em.c:4420
4420                            if (em_get_buf(adapter, i) != 0) {
Comment 5 Andre Oppermann freebsd_committer 2010-08-23 19:10:22 UTC
Responsible Changed
From-To: freebsd-net->jfv

Over to maintainer.
Comment 6 Sean Bruno freebsd_committer 2015-06-29 18:08:29 UTC
My test host with 3x  82541GI doesn't seem to have any issues that would be related to this.  Please retest if possible with 10.2r beta when it is produced and report back on a new ticket.

Note that this chipset is now handled by lem(4) and not em(4)